declare class Logger {
    private disabled;
    static readonly disabledLogger: Logger;
    private readonly loki?;
    constructor(level: string, filename?: string, lokiHost?: string, lokiNetwork?: string, disabled?: boolean);
    close: () => Promise<void>;
    private getLogFormat;
    private getLevel;
    error: (message: string) => void;
    warn: (message: string) => void;
    info: (message: string) => void;
    verbose: (message: string) => void;
    debug: (message: string) => void;
    silly: (message: string) => void;
    private log;
}
export default Logger;
