import { ApiConfig } from '../Config';
import Logger from '../Logger';
import CountryCodes from '../service/CountryCodes';
import Service from '../service/Service';
declare class Api {
    private readonly logger;
    private readonly config;
    private app;
    private readonly websocket;
    private readonly controller;
    constructor(logger: Logger, config: ApiConfig, service: Service, countryCodes: CountryCodes);
    init: () => Promise<void>;
    private registerRoutes;
}
export default Api;
export { ApiConfig };
