import Logger from '../Logger';
declare class MempoolSpaceClient {
    private logger;
    private symbol;
    private apiUrl;
    private static readonly factor;
    private static readonly fetchInterval;
    latestFee?: number;
    private fetchInterval?;
    constructor(logger: Logger, symbol: string, apiUrl: string);
    init: () => Promise<void>;
    stop: () => void;
    private fetchRecommendedFees;
    private handleCouldNotFetch;
}
declare class MempoolSpace {
    private logger;
    private symbol;
    private apis;
    constructor(logger: Logger, symbol: string, apiUrls: string);
    init: () => Promise<void>;
    latestFee: () => number | undefined;
    stop: () => void;
}
export default MempoolSpace;
export { MempoolSpaceClient };
