import { Arguments } from 'yargs';
export declare const command = "claim <network> <preimage> <privateKey> <redeemScript> <rawTransaction> <destinationAddress> [feePerVbyte] [blindingKey]";
export declare const describe = "claims reverse submarine or chain to chain swaps";
export declare const builder: {
    network: {
        describe: string;
        type: string;
    };
    preimage: {
        describe: string;
        type: string;
    };
    privateKey: {
        describe: string;
        type: string;
    };
    redeemScript: {
        describe: string;
        type: string;
    };
    rawTransaction: {
        describe: string;
        type: string;
    };
    destinationAddress: {
        describe: string;
        type: string;
    };
    feePerVbyte: {
        describe: string;
        default: number;
        type: string;
    };
    blindingKey: {
        describe: string;
        type: string;
    };
};
export declare const handler: (argv: Arguments<any>) => Promise<void>;
