import { Arguments } from 'yargs';
export declare const command = "refund-cooperative <network> <privateKey> <swapId> <swapTree> <destinationAddress> [feePerVbyte] [blindingKey]";
export declare const describe = "refunds a Taproot Submarine Swap cooperatively";
export declare const builder: {
    network: {
        describe: string;
        type: string;
    };
    privateKey: {
        describe: string;
        type: string;
    };
    swapId: {
        describe: string;
        type: string;
    };
    swapTree: {
        describe: string;
        type: string;
    };
    destinationAddress: {
        describe: string;
        type: string;
    };
    feePerVbyte: {
        describe: string;
        default: number;
        type: string;
    };
    blindingKey: {
        describe: string;
        type: string;
    };
};
export declare const handler: (argv: Arguments<any>) => Promise<void>;
