"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const boltzrpc_pb_1 = require("../../proto/boltzrpc_pb");
const BuilderComponents_1 = __importDefault(require("../BuilderComponents"));
const Command_1 = require("../Command");
exports.command = 'getbalance';
exports.describe = 'gets the balance of all wallets';
exports.builder = {
    symbol: BuilderComponents_1.default.symbol,
};
const handler = (argv) => {
    (0, Command_1.loadBoltzClient)(argv).getBalance(new boltzrpc_pb_1.GetBalanceRequest(), (0, Command_1.callback)());
};
exports.handler = handler;
//# sourceMappingURL=GetBalance.js.map