"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.describe = exports.command = void 0;
const boltzrpc_pb_1 = require("../../proto/boltzrpc_pb");
const Command_1 = require("../Command");
exports.command = 'getinfo';
exports.describe = 'gets information about the Boltz instance and the nodes it is connected to';
const handler = (argv) => {
    (0, Command_1.loadBoltzClient)(argv).getInfo(new boltzrpc_pb_1.GetInfoRequest(), (0, Command_1.callback)());
};
exports.handler = handler;
//# sourceMappingURL=GetInfo.js.map