"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const ECPairHelper_1 = require("../../ECPairHelper");
const Utils_1 = require("../../Utils");
exports.command = 'newkeys';
exports.describe = 'generates a new keypair';
exports.builder = {};
const handler = () => {
    const keys = ECPairHelper_1.ECPair.makeRandom({});
    console.log((0, Utils_1.stringify)({
        publicKey: (0, Utils_1.getHexString)(keys.publicKey),
        privateKey: (0, Utils_1.getHexString)(keys.privateKey),
    }));
};
exports.handler = handler;
//# sourceMappingURL=NewKeys.js.map