import { Arguments } from 'yargs';
export declare const command = "queryreferrals <key> <secret>";
export declare const describe = "queries referrals with API key and secret";
export declare const builder: {
    rest: {
        hidden: boolean;
    };
    'rest.host': {
        type: string;
        default: string;
        describe: string;
    };
    'rest.port': {
        type: string;
        default: string;
        describe: string;
    };
    key: {
        type: string;
        describe: string;
    };
    secret: {
        type: string;
        describe: string;
    };
};
export declare const handler: (argv: Arguments<any>) => Promise<void>;
