import { ERC20 } from 'boltz-core/typechain/ERC20';
import { ERC20Swap } from 'boltz-core/typechain/ERC20Swap';
import { EtherSwap } from 'boltz-core/typechain/EtherSwap';
import { Provider, Signer } from 'ethers';
export declare const getContracts: (chain: 'rsk' | 'ethereum', signer: Signer) => {
    token: ERC20;
    etherSwap: EtherSwap;
    erc20Swap: ERC20Swap;
};
export declare const getBoltzAddress: () => Promise<string>;
export declare const connectEthereum: (providerUrl: string) => Promise<Signer>;
export declare const getLogsQueryStartHeight: (provider: Provider, delta: number) => Promise<number>;
