import { Arguments } from 'yargs';
export declare const command = "claim <preimage> [token]";
export declare const describe = "claims Ether or a ERC20 token from the corresponding swap contract";
export declare const builder: {
    preimage: {
        describe: string;
        type: string;
    };
    token: {
        describe: string;
        type: string;
    };
    queryStartHeightDelta: {
        describe: string;
        default: string;
        type: string;
        alias: string;
    };
};
export declare const handler: (argv: Arguments<any>) => Promise<void>;
