"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Utils_1 = require("../Utils");
const Enums_1 = require("./Enums");
exports.default = {
    IS_DISCONNECTED: (clientName) => ({
        message: `${clientName} is disconnected`,
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.General, 1),
    }),
    COULD_NOT_PARSE_CONFIG: (filename, error) => ({
        message: `could not parse ${filename} config: ${error}`,
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.General, 2),
    }),
};
//# sourceMappingURL=Errors.js.map