/// <reference types="node" />
import { EventEmitter } from 'events';
declare class TypedEventEmitter<T extends Record<string | symbol, any>> extends EventEmitter {
    on: <K extends keyof T>(event: K, listener: (arg: T[K]) => void) => this;
    once: <K extends keyof T>(event: K, listener: (arg: T[K]) => void) => this;
    emit: <K extends keyof T>(event: K, arg: T[K]) => boolean;
}
export default TypedEventEmitter;
