"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events_1 = require("events");
class TypedEventEmitter extends events_1.EventEmitter {
    constructor() {
        super(...arguments);
        this.on = (event, listener) => super.on(event, listener);
        this.once = (event, listener) => super.once(event, listener);
        this.emit = (event, arg) => super.emit(event, arg);
    }
}
exports.default = TypedEventEmitter;
//# sourceMappingURL=TypedEventEmitter.js.map