import { Sequelize } from 'sequelize';
import Logger from '../Logger';
import { Currency } from '../wallet/WalletManager';
declare class Migration {
    private logger;
    private sequelize;
    private static latestSchemaVersion;
    constructor(logger: Logger, sequelize: Sequelize);
    migrate: (currencies: Map<string, Currency>) => Promise<void>;
    private dropTable;
    private getModelDataValues;
    private logUpdatingTable;
    private finishMigration;
    private logOutdatedVersion;
    private logProgress;
}
export default Migration;
