"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
class ChainTip extends sequelize_1.Model {
}
ChainTip.load = (sequelize) => {
    ChainTip.init({
        symbol: { type: new sequelize_1.DataTypes.STRING(255), primaryKey: true },
        height: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: false },
    }, {
        sequelize,
        timestamps: false,
        tableName: 'chainTips',
    });
};
exports.default = ChainTip;
//# sourceMappingURL=ChainTip.js.map