"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
class DatabaseVersion extends sequelize_1.Model {
}
DatabaseVersion.load = (sequelize) => {
    DatabaseVersion.init({
        version: {
            type: new sequelize_1.DataTypes.INTEGER(),
            primaryKey: true,
            allowNull: false,
        },
    }, {
        sequelize,
        timestamps: false,
        tableName: 'version',
    });
};
exports.default = DatabaseVersion;
//# sourceMappingURL=DatabaseVersion.js.map