import { Model, Sequelize } from 'sequelize';
type KeyProviderType = {
    symbol: string;
    derivationPath: string;
    highestUsedIndex: number;
};
declare class KeyProvider extends Model implements KeyProviderType {
    symbol: string;
    derivationPath: string;
    highestUsedIndex: number;
    static load: (sequelize: Sequelize) => void;
}
export default KeyProvider;
export { KeyProviderType };
