import { Model, Sequelize } from 'sequelize';
type ReferralType = {
    id: string;
    apiKey: string;
    apiSecret: string;
    feeShare: number;
    routingNode?: string;
};
declare class Referral extends Model implements ReferralType {
    id: string;
    apiKey: string;
    apiSecret: string;
    feeShare: number;
    routingNode?: string;
    static load: (sequelize: Sequelize) => void;
}
export default Referral;
export { ReferralType };
