"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
const ReverseSwap_1 = __importDefault(require("./ReverseSwap"));
class ReverseRoutingHint extends sequelize_1.Model {
}
ReverseRoutingHint.load = (sequelize) => {
    ReverseRoutingHint.init({
        swapId: {
            type: new sequelize_1.DataTypes.STRING(255),
            primaryKey: true,
            allowNull: false,
        },
        bip21: { type: new sequelize_1.DataTypes.STRING(255), allowNull: false },
        signature: { type: new sequelize_1.DataTypes.STRING(255), allowNull: false },
    }, {
        sequelize,
        tableName: 'reverseRoutingHints',
    });
    ReverseRoutingHint.belongsTo(ReverseSwap_1.default, {
        foreignKey: 'swapId',
    });
};
exports.default = ReverseRoutingHint;
//# sourceMappingURL=ReverseRoutingHint.js.map