import DatabaseVersion from '../models/DatabaseVersion';
declare class DatabaseVersionRepository {
    static getVersion: () => Promise<DatabaseVersion | null>;
    static createVersion: (version: number) => Promise<DatabaseVersion>;
    static updateVersion: (newVersion: number) => Promise<void>;
    static dropTable: () => Promise<void>;
}
export default DatabaseVersionRepository;
