import { KeyProviderType } from '../models/KeyProvider';
declare class KeyRepository {
    static getKeyProviders: () => Promise<KeyProviderType[]>;
    static getKeyProvider: (symbol: string) => Promise<KeyProviderType | null>;
    static addKeyProvider: (wallet: KeyProviderType) => Promise<KeyProviderType>;
    static setHighestUsedIndex: (symbol: string, highestUsedIndex: number) => Promise<[number]>;
}
export default KeyRepository;
