"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const KeyProvider_1 = __importDefault(require("../models/KeyProvider"));
class KeyRepository {
}
KeyRepository.getKeyProviders = () => {
    return KeyProvider_1.default.findAll();
};
KeyRepository.getKeyProvider = (symbol) => {
    return KeyProvider_1.default.findOne({
        where: {
            symbol,
        },
    });
};
KeyRepository.addKeyProvider = (wallet) => {
    return KeyProvider_1.default.create(wallet);
};
KeyRepository.setHighestUsedIndex = (symbol, highestUsedIndex) => {
    return KeyProvider_1.default.update({
        highestUsedIndex,
    }, {
        where: {
            symbol,
        },
    });
};
exports.default = KeyRepository;
//# sourceMappingURL=KeyRepository.js.map