"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const Pair_1 = __importDefault(require("../models/Pair"));
class PairRepository {
}
_a = PairRepository;
PairRepository.getPairs = () => {
    return Pair_1.default.findAll({});
};
PairRepository.addPair = (pair) => {
    return Pair_1.default.create(pair);
};
PairRepository.removePair = (id) => {
    return Pair_1.default.destroy({
        where: {
            id,
        },
    });
};
PairRepository.dropTable = async () => {
    return Pair_1.default.drop();
};
exports.default = PairRepository;
//# sourceMappingURL=PairRepository.js.map