"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Utils_1 = require("../Utils");
const Enums_1 = require("../consts/Enums");
exports.default = {
    COULD_NOT_BIND: (host, port, errorMessage) => ({
        message: `gRPC couldn't bind on: ${host}:${port}${errorMessage ? `: ${errorMessage}` : ''}`,
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Grpc, 0),
    }),
};
//# sourceMappingURL=Errors.js.map