"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Utils_1 = require("../Utils");
const Enums_1 = require("../consts/Enums");
exports.default = {
    COULD_NOT_FIND_FILES: (symbol, service) => ({
        message: `could not find required files for ${symbol} ${service}`,
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Lightning, 0),
    }),
    INVOICE_NOT_FOUND: () => ({
        message: 'hold invoice not found',
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Lightning, 1),
    }),
    NO_ROUTE: () => ({
        message: 'no route found',
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Lightning, 2),
    }),
};
//# sourceMappingURL=Errors.js.map