import { ChannelCredentials } from '@grpc/grpc-js';
type BaseConfig = {
    host: string;
    port: number;
    rootCertPath: string;
    privateKeyPath: string;
    certChainPath: string;
};
type ClnConfig = BaseConfig & {
    maxPaymentFeeRatio: number;
    hold: BaseConfig;
    mpay?: BaseConfig;
};
declare const createSsl: (serviceName: string, symbol: string, config: BaseConfig) => ChannelCredentials;
export { ClnConfig, BaseConfig, createSsl };
