import Logger from '../Logger';
import NotificationClient from './clients/NotificationClient';
type DiskUsage = {
    total: number;
    available: number;
};
declare class DiskUsageChecker {
    private logger;
    private notificationClient;
    private alertSent;
    private static rootDir;
    private static gigabyte;
    private static warningThreshold;
    constructor(logger: Logger, notificationClient: NotificationClient);
    checkUsage: () => Promise<void>;
    private getUsage;
    private formatNumber;
    private convertToGb;
}
export default DiskUsageChecker;
export { DiskUsage };
