import { BaseCurrencyConfig, NotificationConfig, TokenConfig } from '../Config';
import Logger from '../Logger';
import BackupScheduler from '../backup/BackupScheduler';
import Service from '../service/Service';
import WalletManager from '../wallet/WalletManager';
declare class NotificationProvider {
    private logger;
    private service;
    private walletManager;
    private backup;
    private config;
    private timer;
    private balanceChecker;
    private diskUsageChecker;
    private client;
    private disconnected;
    private static trailingWhitespace;
    constructor(logger: Logger, service: Service, walletManager: WalletManager, backup: BackupScheduler, config: NotificationConfig, currencies: (BaseCurrencyConfig | undefined)[], tokenConfigs: TokenConfig[]);
    init: () => Promise<void>;
    disconnect: () => void;
    private checkConnections;
    private checkConnection;
    private listenToDiscord;
    private listenToService;
    private sendLostConnection;
    private sendReconnected;
    private getSmallestDenomination;
    private getMinerFeeSymbol;
}
export default NotificationProvider;
