import { NotificationConfig } from '../../Config';
import Logger from '../../Logger';
import NotificationClient from './NotificationClient';
declare class DiscordClient extends NotificationClient {
    static readonly serviceName = "Discord";
    private static readonly maxMessageLen;
    private readonly client;
    private channel?;
    private channelAlerts?;
    constructor(logger: Logger, config: NotificationConfig);
    init: () => Promise<void>;
    destroy: () => void;
    sendMessage: (message: string, isAlert?: boolean) => Promise<void>;
    private listenForMessages;
    private splitString;
}
export default DiscordClient;
