"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const TypedEventEmitter_1 = __importDefault(require("../../consts/TypedEventEmitter"));
class NotificationClient extends TypedEventEmitter_1.default {
    constructor(serviceName, logger, config) {
        super();
        this.serviceName = serviceName;
        this.logger = logger;
        this.config = config;
        this.selectChannel = (channel, channelAlerts, isAlert = false) => (isAlert ? channelAlerts : channel) || channel;
        this.prefix = `[${this.config.prefix}]: `;
    }
}
exports.default = NotificationClient;
//# sourceMappingURL=NotificationClient.js.map