"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Exchange_1 = require("../Exchange");
class Binance {
    async getPrice(baseAsset, quoteAsset) {
        const response = await (0, Exchange_1.makeRequest)(`${Binance.API}/ticker/price?symbol=${baseAsset.toUpperCase()}${quoteAsset.toUpperCase()}`);
        return Number(response.price);
    }
}
Binance.API = 'https://api.binance.com/api/v3';
exports.default = Binance;
//# sourceMappingURL=Binance.js.map