import Logger from '../Logger';
type MarkingsConfig = {
    ipV4Ranges: string;
    ipV6Ranges: string;
    countries?: string[];
};
declare class CountryCodes {
    private readonly logger;
    private readonly config;
    private ranges;
    constructor(logger: Logger, config: MarkingsConfig);
    downloadRanges: () => Promise<void>;
    isRelevantCountry: (country?: string) => boolean;
    getCountryCode: (ip: string, isIpV6?: boolean) => string | undefined;
    private static parseDatabase;
    private static getAddress;
    private static tryGetAddress;
}
export default CountryCodes;
export { MarkingsConfig };
