/// <reference types="node" />
import { Transaction } from 'liquidjs-lib';
import { UnblindedOutput } from '../Core';
import WalletManager, { Currency } from '../wallet/WalletManager';
declare class ElementsService {
    private currencies;
    private walletManager;
    constructor(currencies: Map<string, Currency>, walletManager: WalletManager);
    unblindOutputsFromId: (txId: string) => Promise<UnblindedOutput[]>;
    unblindOutputs: (tx: Transaction) => Promise<UnblindedOutput[]>;
    deriveBlindingKeys: (address: string) => {
        publicKey: Buffer;
        privateKey: Buffer;
    };
    private getElementsClients;
}
export default ElementsService;
