"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const boltz_core_1 = require("boltz-core");
const Enums_1 = require("../consts/Enums");
class SwapOutputType {
    constructor(defaultType) {
        this.defaultType = defaultType;
        this.get = (type) => {
            if (type === Enums_1.CurrencyType.Liquid) {
                return boltz_core_1.OutputType.Bech32;
            }
            return this.defaultType;
        };
    }
}
exports.default = SwapOutputType;
//# sourceMappingURL=SwapOutputType.js.map