import { Network } from 'ethers';
import { Error } from '../../consts/Types';
declare const _default: {
    NO_PROVIDER_SPECIFIED: () => Error;
    NO_LOCKUP_FOUND: () => Error;
    INVALID_LOCKUP_TRANSACTION: (transactionHash: string) => Error;
    UNEQUAL_PROVIDER_NETWORKS: (networks: Network[]) => Error;
    REQUESTS_TO_PROVIDERS_FAILED: (errors: string[]) => Error;
};
export default _default;
