/**
 * Convert whole coins to satoshis
 */
export declare const coinsToSatoshis: (coins: number) => number;
/**
 * Convert satoshis to whole coins and remove trailing zeros
 */
export declare const satoshisToCoins: (satoshis: number) => number;
/**
 * Convert satoshis to whole coins with trailing zeros
 */
export declare const satoshisToPaddedCoins: (satoshis: number) => string;
export declare const satoshisToSatcomma: (satoshis: number) => string;
