import Logger from './Logger';
import { PairConfig } from './consts/Types';
type PrometheusConfig = {
    host?: string;
    port?: number;
};
declare class Prometheus {
    private readonly logger;
    private readonly config;
    private static readonly metric_prefix;
    private readonly pairs;
    private readonly nodeRegistry?;
    private readonly swapRegistry?;
    constructor(logger: Logger, config: PrometheusConfig | undefined, pairs: PairConfig[]);
    start: () => Promise<void>;
    private registerMetrics;
}
export default Prometheus;
export { PrometheusConfig };
