import { Application } from 'express';
import Logger from '../../Logger';
import CountryCodes from '../../service/CountryCodes';
import Service from '../../service/Service';
import Controller from '../Controller';
declare class ApiV2 {
    private readonly logger;
    private readonly routers;
    constructor(logger: Logger, service: Service, controller: Controller, countryCodes: CountryCodes);
    registerRoutes: (app: Application) => void;
}
export default ApiV2;
