import { Request, Response } from 'express';
import Logger from '../../../Logger';
import CountryCodes from '../../../service/CountryCodes';
import Service from '../../../service/Service';
import Controller from '../../Controller';
import RouterBase from './RouterBase';
declare class SwapRouter extends RouterBase {
    private readonly service;
    private readonly controller;
    private readonly countryCodes;
    constructor(logger: Logger, service: Service, controller: Controller, countryCodes: CountryCodes);
    getRouter: () => import("express-serve-static-core").Router;
    private getSubmarine;
    private createSubmarine;
    private setSubmarineInvoice;
    getSubmarineInvoiceAmount: (req: Request, res: Response) => Promise<void>;
    private getSubmarineTransaction;
    private refundSubmarine;
    private refundSubmarineEvm;
    private getSubmarineClaimDetails;
    private claimSubmarine;
    private getReverse;
    private createReverse;
    private getReverseBip21;
    private getReverseTransaction;
    private claimReverse;
    private getSwapStatus;
}
export default SwapRouter;
