import { BackupProvider } from '../BackupScheduler';
type GoogleCloudConfig = {
    email: string;
    privatekeypath: string;
    bucketname: string;
};
declare class GoogleCloud implements BackupProvider {
    private readonly bucket;
    constructor(config: GoogleCloudConfig);
    static configValid: (config: GoogleCloudConfig) => boolean;
    uploadString: (path: string, data: string) => Promise<void>;
    uploadFile: (path: string, file: string) => Promise<void>;
}
export default GoogleCloud;
export { GoogleCloudConfig };
