import { BackupProvider } from '../BackupScheduler';
type WebdavConfig = {
    url: string;
    username: string;
    password: string;
};
declare class Webdav implements BackupProvider {
    private config;
    private client;
    constructor(config: WebdavConfig);
    init: () => Promise<void>;
    static configValid: (config: WebdavConfig) => boolean;
    uploadString: (path: string, data: string) => Promise<void>;
    uploadFile: (path: string, file: string) => Promise<void>;
    private createDirectory;
}
export default Webdav;
export { WebdavConfig };
