declare const _default: {
    network: {
        describe: string;
        type: string;
    };
    privateKey: {
        describe: string;
        type: string;
    };
    redeemScript: {
        describe: string;
        type: string;
    };
    rawTransaction: {
        describe: string;
        type: string;
    };
    destinationAddress: {
        describe: string;
        type: string;
    };
    symbol: {
        describe: string;
        type: string;
    };
    token: {
        describe: string;
        type: string;
    };
    feePerVbyte: {
        describe: string;
        default: number;
        type: string;
    };
    blindingKey: {
        describe: string;
        type: string;
    };
    queryStartHeightDelta: {
        describe: string;
        default: string;
        type: string;
        alias: string;
    };
    swapId: {
        describe: string;
        type: string;
    };
    swapTree: {
        describe: string;
        type: string;
    };
    preimage: {
        describe: string;
        type: string;
    };
};
export default _default;
