"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.describe = exports.command = void 0;
const bitcoinjs_lib_1 = require("bitcoinjs-lib");
const crypto_1 = require("crypto");
const Utils_1 = require("../../Utils");
exports.command = 'newpreimage';
exports.describe = 'generates a new preimage and its hash';
exports.builder = {};
const handler = () => {
    const preimage = (0, crypto_1.randomBytes)(32);
    console.log((0, Utils_1.stringify)({
        preimage: (0, Utils_1.getHexString)(preimage),
        preimageHash: (0, Utils_1.getHexString)(bitcoinjs_lib_1.crypto.sha256(preimage)),
    }));
};
exports.handler = handler;
//# sourceMappingURL=NewPreimage.js.map