import { Arguments } from 'yargs';
export declare const command = "sendcoins <symbol> <address> <amount> [fee] [send_all]";
export declare const describe = "sends coins to a specified address";
export declare const builder: {
    symbol: {
        describe: string;
        type: string;
    };
    address: {
        describe: string;
        type: string;
    };
    amount: {
        describe: string;
        type: string;
    };
    fee: {
        describe: string;
        type: string;
        default: number;
    };
    send_all: {
        describe: string;
        type: string;
    };
};
export declare const handler: (argv: Arguments<any>) => void;
