"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ethereumPrepayMinerFeeGasLimit = exports.gweiDecimals = exports.etherDecimals = exports.LegacyReverseSwapOutputType = void 0;
const boltz_core_1 = require("boltz-core");
exports.LegacyReverseSwapOutputType = boltz_core_1.OutputType.Bech32;
// Decimals from WEI to 10 ** -8
exports.etherDecimals = BigInt(10) ** BigInt(10);
// Decimals from GWEI to WEI
exports.gweiDecimals = BigInt(10) ** BigInt(9);
// This amount will be multiplied with the current gas price to determine
// how much Ether should be sent to the claim address as prepay miner fee
exports.ethereumPrepayMinerFeeGasLimit = BigInt(100000);
//# sourceMappingURL=Consts.js.map