type MonthStats = {
    volume: Record<string, number>;
    trades: Record<string, number>;
    failureRates: {
        swaps: number;
        reverseSwaps: number;
    };
};
declare class Stats {
    private static readonly totalString;
    static generate: (minYear: number, minMonth: number, referral?: string) => Promise<Record<string, Record<string, MonthStats>>>;
}
export default Stats;
