import { Model, Sequelize } from 'sequelize';
type ChannelCreationType = {
    swapId: string;
    status?: string;
    type: string;
    private: boolean;
    inboundLiquidity: number;
    nodePublicKey?: string;
    fundingTransactionId?: string;
    fundingTransactionVout?: number;
};
declare class ChannelCreation extends Model implements ChannelCreationType {
    swapId: string;
    status?: string;
    type: string;
    private: boolean;
    inboundLiquidity: number;
    nodePublicKey?: string;
    fundingTransactionId?: string;
    fundingTransactionVout?: number;
    static load: (sequelize: Sequelize) => void;
}
export default ChannelCreation;
export { ChannelCreationType };
