"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
class KeyProvider extends sequelize_1.Model {
}
KeyProvider.load = (sequelize) => {
    KeyProvider.init({
        symbol: {
            type: new sequelize_1.DataTypes.STRING(255),
            primaryKey: true,
            allowNull: false,
        },
        derivationPath: { type: new sequelize_1.DataTypes.STRING(255), allowNull: false },
        highestUsedIndex: { type: new sequelize_1.DataTypes.INTEGER(), allowNull: false },
    }, {
        sequelize,
        tableName: 'keys',
        timestamps: false,
    });
};
exports.default = KeyProvider;
//# sourceMappingURL=KeyProvider.js.map