"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
class PendingLockupTransaction extends sequelize_1.Model {
}
PendingLockupTransaction.load = (sequelize) => {
    PendingLockupTransaction.init({
        swapId: {
            type: new sequelize_1.DataTypes.STRING(255),
            primaryKey: true,
            allowNull: false,
        },
        chain: {
            type: new sequelize_1.DataTypes.STRING(255),
            allowNull: false,
        },
    }, {
        sequelize,
        tableName: 'pendingLockupTransactions',
        indexes: [
            {
                unique: false,
                fields: ['chain'],
            },
        ],
    });
};
exports.default = PendingLockupTransaction;
//# sourceMappingURL=PendingLockupTransaction.js.map