"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const ChainTip_1 = __importDefault(require("../models/ChainTip"));
class ChainTipRepository {
}
_a = ChainTipRepository;
ChainTipRepository.getChainTips = () => {
    return ChainTip_1.default.findAll();
};
ChainTipRepository.findOrCreateTip = async (symbol, height) => {
    const [chainTip] = await ChainTip_1.default.findOrCreate({
        where: {
            symbol,
        },
        defaults: {
            symbol,
            height,
        },
    });
    return chainTip;
};
ChainTipRepository.updateTip = (chainTip, height) => {
    return chainTip.update({
        height,
    });
};
exports.default = ChainTipRepository;
//# sourceMappingURL=ChainTipRepository.js.map