"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const DatabaseVersion_1 = __importDefault(require("../models/DatabaseVersion"));
class DatabaseVersionRepository {
}
_a = DatabaseVersionRepository;
DatabaseVersionRepository.getVersion = () => {
    return DatabaseVersion_1.default.findOne();
};
DatabaseVersionRepository.createVersion = (version) => {
    return DatabaseVersion_1.default.create({
        version,
    });
};
DatabaseVersionRepository.updateVersion = async (newVersion) => {
    await DatabaseVersion_1.default.update({
        version: newVersion,
    }, {
        where: {},
    });
};
DatabaseVersionRepository.dropTable = () => {
    return DatabaseVersion_1.default.drop();
};
exports.default = DatabaseVersionRepository;
//# sourceMappingURL=DatabaseVersionRepository.js.map