import Pair, { PairType } from '../models/Pair';
declare class PairRepository {
    static getPairs: () => Promise<Pair[]>;
    static addPair: (pair: PairType) => Promise<Pair>;
    static removePair: (id: string) => Promise<number>;
    static dropTable: () => Promise<void>;
}
export default PairRepository;
