import { BaseCurrencyConfig, TokenConfig } from '../Config';
import Logger from '../Logger';
import Service from '../service/Service';
import NotificationClient from './clients/NotificationClient';
declare enum BalanceType {
    Wallet = 0,
    ChannelLocal = 1,
    ChannelRemote = 2
}
declare class BalanceChecker {
    private logger;
    private service;
    private notificationClient;
    private currencies;
    private walletBalanceAlerts;
    private localBalanceAlerts;
    private remoteBalanceAlerts;
    constructor(logger: Logger, service: Service, notificationClient: NotificationClient, currencyConfigs: (BaseCurrencyConfig | undefined)[], tokenConfigs: TokenConfig[]);
    check: () => Promise<void>;
    private checkCurrency;
    private checkBalance;
    private sendAlert;
}
export default BalanceChecker;
export { BalanceType };
