import { NotificationConfig } from '../Config';
import Logger from '../Logger';
import BackupScheduler from '../backup/BackupScheduler';
import Service from '../service/Service';
import NotificationClient from './clients/NotificationClient';
declare class CommandHandler {
    private logger;
    private notificationClient;
    private service;
    private backupScheduler;
    private optManager;
    private commands;
    constructor(logger: Logger, config: NotificationConfig, notificationClient: NotificationClient, service: Service, backupScheduler: BackupScheduler);
    private help;
    private getFees;
    private swapInfo;
    private getStats;
    private getBalance;
    private lockedFunds;
    private pendingSwaps;
    private pendingSweeps;
    private getReferrals;
    private backup;
    private getAddress;
    private withdraw;
    private toggleReverseSwaps;
    private sendSwapInfo;
    private sendCouldNotFindSwap;
}
export default CommandHandler;
