import { NotificationConfig } from '../../Config';
import Logger from '../../Logger';
import NotificationClient from './NotificationClient';
declare class MattermostClient extends NotificationClient {
    static readonly serviceName = "Mattermost";
    private readonly client;
    private readonly wsClient;
    private userId?;
    private channelId?;
    private channelAlertsId?;
    constructor(logger: Logger, config: NotificationConfig);
    init: () => Promise<void>;
    destroy: () => void;
    sendMessage: (message: string, isAlert?: boolean) => Promise<void>;
    private listenForMessages;
}
export default MattermostClient;
