"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Utils_1 = require("../Utils");
const Enums_1 = require("../consts/Enums");
exports.default = {
    COULD_NOT_FIND_RATE: (pair) => ({
        message: `could not find rate of pair: ${pair}`,
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Rates, 0),
    }),
    CONFIGURATION_INCOMPLETE: (symbol, missingValue) => ({
        message: `could not init currency ${symbol} because of missing config value: ${missingValue}`,
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Rates, 1),
    }),
    SYMBOL_LOCKUPS_NOT_BEING_TRACKED: (symbol) => ({
        message: `${symbol} lockup transactions are not being tracked`,
        code: (0, Utils_1.concatErrorCode)(Enums_1.ErrorCodePrefix.Rates, 2),
    }),
};
//# sourceMappingURL=Errors.js.map