"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Exchange_1 = require("../Exchange");
class CoinbasePro {
    async getPrice(baseAsset, quoteAsset) {
        const response = await (0, Exchange_1.makeRequest)(`${CoinbasePro.API}/products/${baseAsset}-${quoteAsset}/ticker`);
        return Number(response.price);
    }
}
CoinbasePro.API = 'https://api.pro.coinbase.com';
exports.default = CoinbasePro;
//# sourceMappingURL=CoinbasePro.js.map