import { Currency } from '../wallet/WalletManager';
declare class PaymentRequestUtils {
    private prefixes;
    private readonly lbtcAssetHash?;
    constructor(liquid?: Currency);
    /**
     * Encode a BIP21 payment request
     */
    encodeBip21: (symbol: string, address: string, satoshis: number, label?: string) => string | undefined;
    /**
     * Get the BIP21 prefix for a currency
     */
    private getBip21Prefix;
}
export default PaymentRequestUtils;
