import Logger from '../../Logger';
import WalletManager, { Currency } from '../../wallet/WalletManager';
declare class EipSigner {
    private readonly logger;
    private readonly currencies;
    private readonly walletManager;
    constructor(logger: Logger, currencies: Map<string, Currency>, walletManager: WalletManager);
    signSwapRefund: (swapId: string) => Promise<string>;
    private getSigningData;
}
export default EipSigner;
