import { Error } from '../consts/Types';
declare const _default: {
    CURRENCY_NOT_FOUND: (currency: string) => Error;
    NO_ROUTE_FOUND: () => Error;
    NO_LIGHTNING_SUPPORT: (symbol: string) => Error;
    INVOICE_INVALID_PREIMAGE_HASH: (preimageHash: string) => Error;
    INVOICE_EXPIRES_TOO_EARLY: (invoiceExpiry: number, timeoutTimestamp: number) => Error;
    COINS_COULD_NOT_BE_SENT: () => Error;
    INSUFFICIENT_AMOUNT: (actualAmount: number, expectedAmount: number) => Error;
    INVALID_TOKEN_LOCKED: (actualToken: string, expectedToken: string) => Error;
    INVALID_CLAIM_ADDRESS: (actualAddress: string, expectedAddress: string) => Error;
    INVALID_TIMELOCK: (actualTimelock: number, expectedTimelock: number) => Error;
    INVOICE_COULD_NOT_BE_PAID: () => Error;
    REFUNDED_COINS: (refundedTransactionId: string) => Error;
    ONCHAIN_HTLC_TIMED_OUT: () => Error;
    INVOICE_EXPIRED_ALREADY: () => Error;
    SWAP_DOES_NOT_ACCEPT_ZERO_CONF: () => Error;
    LOCKUP_TRANSACTION_SIGNALS_RBF: () => Error;
    LOCKUP_TRANSACTION_FEE_TOO_LOW: () => Error;
    LIGHTNING_CLIENT_CALL_TIMEOUT: () => Error;
    NO_AVAILABLE_LIGHTNING_CLIENT: () => Error;
    INVALID_ADDRESS: () => Error;
    BLOCKED_ADDRESS: () => Error;
    INVALID_ADDRESS_SIGNATURE: () => Error;
};
export default _default;
