import Logger from '../../Logger';
import { NodeType } from '../../db/models/ReverseSwap';
import { HopHint } from '../../lightning/LightningClient';
import { Currency } from '../../wallet/WalletManager';
declare class RoutingHints {
    private logger;
    private providers;
    constructor(logger: Logger, currencies: Currency[]);
    start: () => Promise<void>;
    stop: () => void;
    getRoutingHints: (symbol: string, nodeId: string, nodeType?: NodeType) => Promise<HopHint[][]>;
    private static getProviderForNodeType;
}
export default RoutingHints;
