import Logger from '../../Logger';
import { HopHint, RoutingHintsProvider } from '../../lightning/LightningClient';
import LndClient from '../../lightning/LndClient';
declare class RoutingHintsLnd implements RoutingHintsProvider {
    private logger;
    private lnd;
    private static readonly channelFetchInterval;
    private readonly name;
    private ourPubkey;
    private interval;
    private channelInfos;
    constructor(logger: Logger, lnd: LndClient);
    start: () => Promise<void>;
    stop: () => void;
    routingHints: (nodeId: string) => Promise<HopHint[][]>;
    private update;
}
export default RoutingHintsLnd;
