/// <reference types="node" />
import { Slip77Interface } from 'slip77';
import Logger from '../Logger';
import Wallet from './Wallet';
import WalletProviderInterface from './providers/WalletProviderInterface';
declare class WalletLiquid extends Wallet {
    private readonly slip77;
    constructor(logger: Logger, walletProvider: WalletProviderInterface, slip77: Slip77Interface);
    deriveBlindingKeyFromScript: (outputScript: Buffer) => Slip77Interface;
    encodeAddress: (outputScript: Buffer, shouldBlind?: boolean) => string;
    private getPaymentFunc;
    private static blindP2tr;
}
export default WalletLiquid;
